# Chapter 11
IO Streams

Andreas Fabri, Geert-Jan Giezeman, and Lutz Kettner

All classes in the CGAL kernel provide input and output operators for IO streams. CGAL provides three different printing mode, defined in the enum Mode, as well as different functions to set and get the printing mode.

### Enum

CGAL::Mode

### Functions

CGAL::get_mode
CGAL::is_ascii
CGAL::is_binary
CGAL::is_pretty
CGAL::set_mode
CGAL::set_ascii_mode
CGAL::set_binary_mode
CGAL::set_pretty_mode
CGAL::operator>>
CGAL::operator<<

### Classes

CGAL::Istream_iterator<T,Stream>
CGAL::Ostream_iterator<T,Stream>
CGAL::Verbose_ostream

- get_mode

- operator>>

- is_ascii

- is_binary

- is_pretty

- Istream_iterator<T,Stream>

- Mode

- Ostream_iterator<T,Stream>

- operator<<

- set_ascii_mode

- set_binary_mode

- set_mode

- set_pretty_mode

- Verbose_ostream